Wikipedia

List Wikipedia recent changes

List recent changes on a Wikipedia edition by type, namespace, page or time.

GET/v1/wikipedia/recent-changes
1credit
x-api-keystringheader

API key (`sfk_...`)

Parameters
7
langstringquery

Wikimedia edition code, e.g. `en`, `de`, `ja`, `simple` or `zh-min-nan`. Default: `en`.

typestringquery

Only changes of this type.

one of: edit, new, log, categorize, external

namespaceintegerquery

Namespace id, e.g. `0` for articles or `14` for categories.

≥ -2 · ≤ 999

sincestringquery

Only changes at or after this time, as `YYYY-MM-DD` or an ISO 8601 date-time with a zone.

titlestringquery

Only changes to this page.

limitintegerquery

Rows per page, 1 to 500. Default: 50.

≥ 1 · ≤ 500

cursorstringquery

Cursor from `page.nextCursor` of the previous response. It only works with the same filters.

min 1 chars · max 2048 chars

Response fields
37

Endpoint-specific response payload.

datalookupStatus
string

Whether the entity, page or data set exists. A missing entity is `not_found`; an existing entity with no rows is `found` with `empty: true`.

one of: found, not_found

datalang
string

Edition code.

Changes in this page of the walk.

datachanges[]type
string

Change type, e.g. `edit`, `new`, `log`.

datachanges[]ns
integernullable

Namespace id.

datachanges[]title
string

Title.

datachanges[]pageId
integernullable

Page id.

datachanges[]revId
integernullable

Revision id.

datachanges[]oldRevId
integernullable

Previous revision id.

datachanges[]rcid
integernullable

Recent-change id.

datachanges[]user
stringnullable

User name.

datachanges[]userId
integernullable

User id; null when hidden.

datachanges[]bot
booleannullable

Whether a bot made it.

datachanges[]new
booleannullable

Whether it created the page.

datachanges[]minor
booleannullable

Whether it was minor.

datachanges[]temp
boolean

Whether a temporary account made the change.

datachanges[]oldLength
integernullable

Size before.

datachanges[]newLength
integernullable

Size after.

datachanges[]timestamp
stringnullable

When it happened, ISO 8601.

datachanges[]comment
stringnullable

Summary.

datachanges[]redirect
booleannullable

Whether it is a redirect.

Change tags.

datachanges[]tags[]
stringoptional
datachanges[]sha1
stringnullable

Content hash.

datachanges[]logId
integernullable

Log id, on log rows.

datachanges[]logType
stringnullable

Log type, on log rows.

datachanges[]logAction
stringnullable

Log action, on log rows.

datachanges[]logParams
objectnullable

Log parameters, on log rows.

Pagination state. `nextCursor` is null on the last page.

datapagehasMore
boolean

Whether another page is available.

datapagenextCursor
stringnullable

Cursor to pass in the next request when more pages exist; null on the last page.

dataempty
boolean

Whether the answer is a valid empty result rather than missing.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/wikipedia/recent-changes?lang=en" \
  -H "x-api-key: YOUR_API_KEY"

Responses

List Wikipedia recent changes